<?php
IncludeModuleLangFile(__FILE__);
IncludeModuleLangFile($_SERVER['DOCUMENT_ROOT'] . BX_ROOT . '/modules/main/options.php');

if (!$USER->IsAdmin()) {
    die();
}
use Bitrix\Main\Config\Option;

if (isset($_REQUEST['MIBAZAROW_PUSHSENDER_FB_JSON'])) {
    Option::set(
        'mibazarow.pushsender',
        'firibase_json',
        trim($_REQUEST['MIBAZAROW_PUSHSENDER_FB_JSON'])
    );
    $curPage = $APPLICATION->GetCurPageParam('', []);
    LocalRedirect($curPage);
}

//Option::set("main", "max_file_size", "1024");
?>

<form method="post" action="">
    <table>
        <tr>
            <label for="firebase_json">JSON из Firebase</label>
        </tr>
        <tr>
            <textarea name="MIBAZAROW_PUSHSENDER_FB_JSON" cols="50" rows="10"><?echo trim(Option::get("mibazarow.pushsender", "firibase_json"));?></textarea>
            <br>
            <button type="submit">Сохранить</button>
        </tr>
    </table>
</form>